Subject: MinGW port (was: Re: [ANNOUNCE] qgit4 aka qgit ported to Windows)

From: Johannes Sixt <[email-masked]>
Date: Thu, 11 Jan 2007 10:35:41 +0100

Martin Langhoff wrote:
> How much does qgit4 depend on using commandline git? IOWs, how far
> from not needing cygwin+git, and shipping a git+qgit compiled against
> the MinGW that QT4 has?

FWIW, I'm slowly working on a MinGW port of git, based on Dscho's
initial work.

Currently, the tool set passes about 60-70% of the tests.

This works: The tools that you commonly need to work on a local repo,
except merges ([*]): commit, rebase, reset, log, diff and their
plumbing.

This does not work: pull, fetch, clone; mostly due to fork()
difficulties in their plumbing (fetch-pack, send-pack, etc.)

[*] because shell scripts like merge-one-file can't be invoked from an
exe like merge-index, yet. Fortunately this looks like the easiest part
to solve.

-- Hannes